/*****************************************************************************
 * Copyright (c) 2014-2024 OpenRCT2 developers
 *
 * For a complete list of all authors, please refer to contributors.md
 * Interested in contributing? Visit https://github.com/OpenRCT2/OpenRCT2
 *
 * OpenRCT2 is licensed under the GNU General Public License version 3.
 *****************************************************************************/

namespace OpenRCT2
{
    enum
    {
        kPeepSpriteNormalStateNoneId = 6409,
        kPeepSpriteNormalStateCheckTimeId = 6585,
        kPeepSpriteNormalStateWatchRideId = 6621,
        kPeepSpriteNormalStateEatFoodId = 6653,
        kPeepSpriteNormalStateShakeHeadId = 6697,
        kPeepSpriteNormalStateEmptyPocketsId = 6757,
        kPeepSpriteNormalStateHoldMatId = 6561,
        kPeepSpriteNormalStateSittingIdleId = 6625,
        kPeepSpriteNormalStateSittingEatFoodId = 6629,
        kPeepSpriteNormalStateSittingLookAroundLeftId = 6637,
        kPeepSpriteNormalStateSittingLookAroundRightId = 6645,
        kPeepSpriteNormalStateUiId = 6813,
        kPeepSpriteNormalStateWowId = 6825,
        kPeepSpriteNormalStateThrowUpId = 6845,
        kPeepSpriteNormalStateJumpId = 6909,
        kPeepSpriteNormalStateDrowningId = 6957,
        kPeepSpriteNormalStateJoyId = 6989,
        kPeepSpriteNormalStateReadMapId = 7041,
        kPeepSpriteNormalStateWaveId = 7101,
        kPeepSpriteNormalStateWave2Id = 7121,
        kPeepSpriteNormalStateTakePhotoId = 7149,
        kPeepSpriteNormalStateClapId = 7249,
        kPeepSpriteNormalStateDisgustId = 7309,
        kPeepSpriteNormalStateDrawPictureId = 7329,
        kPeepSpriteNormalStateBeingWatchedId = 7285,
        kPeepSpriteNormalStateWithdrawMoneyId = 7181,

        kHandymanSpriteStateNoneId = 11261,
        kHandymanSpriteStateWatchRideId = 11285,
        kHandymanSpriteStateUiId = 11289,
        kHandymanSpriteStateStaffMowerId = 11301,
        kHandymanSpriteStateStaffSweepId = 11325,
        kHandymanSpriteStateDrowningId = 11345,
        kHandymanSpriteStateStaffWateringId = 11377,
        kHandymanSpriteStateStaffEmptyBinId = 11401,

        kMechanicSpriteStateNoneId = 11441,
        kMechanicSpriteStateWatchRideId = 11465,
        kMechanicSpriteStateUiId = 11469,
        kMechanicSpriteStateDrowningId = 11481,
        kMechanicSpriteStateStaffAnswerCallId = 11513,
        kMechanicSpriteStateStaffCheckboardId = 11597,
        kMechanicSpriteStateStaffFixId = 11669,
        kMechanicSpriteStateStaffFixGroundId = 11801,

        kSecuritySpriteStateNoneId = 11881,
        kSecuritySpriteStateWatchRideId = 11905,
        kSecuritySpriteStateUiId = 11909,
        kSecuritySpriteStateDrowningId = 11921,

        kEntertainerSpritePandaStateNoneId = 11973,
        kEntertainerSpritePandaStateWatchRideId = 11997,
        kEntertainerSpritePandaStateWaveId = 12041,
        kEntertainerSpritePandaStateUiId = 12001,
        kEntertainerSpritePandaStateDrowningId = 12013,
        kEntertainerSpritePandaStateJoyId = 12065,

        kEntertainerSpriteTigerStateNoneId = 12129,
        kEntertainerSpriteTigerStateWatchRideId = 12153,
        kEntertainerSpriteTigerStateWaveId = 12197,
        kEntertainerSpriteTigerStateUiId = 12157,
        kEntertainerSpriteTigerStateDrowningId = 12169,
        kEntertainerSpriteTigerStateJoyId = 12221,

        kEntertainerSpriteElephantStateNoneId = 12325,
        kEntertainerSpriteElephantStateWatchRideId = 12349,
        kEntertainerSpriteElephantStateWaveId = 12365,
        kEntertainerSpriteElephantStateUiId = 12353,
        kEntertainerSpriteElephantStateDrowningId = 12393,
        kEntertainerSpriteElephantStateJoyId = 12433,

        kEntertainerSpriteRomanStateNoneId = 13897,
        kEntertainerSpriteRomanStateWatchRideId = 13921,
        kEntertainerSpriteRomanStateWaveId = 13937,
        kEntertainerSpriteRomanStateUiId = 13925,
        kEntertainerSpriteRomanStateDrowningId = 13969,
        kEntertainerSpriteRomanStateJoyId = 14029,

        kEntertainerSpriteGorillaStateNoneId = 12549,
        kEntertainerSpriteGorillaStateWatchRideId = 12545,
        kEntertainerSpriteGorillaStateWaveId = 12573,
        kEntertainerSpriteGorillaStateUiId = 12665,
        kEntertainerSpriteGorillaStateDrowningId = 12617,

        kEntertainerSpriteSnowmanStateNoneId = 12681,
        kEntertainerSpriteSnowmanStateWatchRideId = 12677,
        kEntertainerSpriteSnowmanStateWaveId = 12705,
        kEntertainerSpriteSnowmanStateUiId = 12881,
        kEntertainerSpriteSnowmanStateDrowningId = 12841,

        kEntertainerSpriteKnightStateNoneId = 12897,
        kEntertainerSpriteKnightStateWatchRideId = 12893,
        kEntertainerSpriteKnightStateWaveId = 12993,
        kEntertainerSpriteKnightStateUiId = 12981,
        kEntertainerSpriteKnightStateDrowningId = 12921,

        kEntertainerSpriteAstronautStateNoneId = 13769,
        kEntertainerSpriteAstronautStateWatchRideId = 13765,
        kEntertainerSpriteAstronautStateWaveId = 13857,
        kEntertainerSpriteAstronautStateUiId = 13845,
        kEntertainerSpriteAstronautStateDrowningId = 13793,

        kEntertainerSpriteBanditStateNoneId = 13109,
        kEntertainerSpriteBanditStateWatchRideId = 13105,
        kEntertainerSpriteBanditStateWaveId = 13209,
        kEntertainerSpriteBanditStateUiId = 13197,
        kEntertainerSpriteBanditStateDrowningId = 13133,

        kEntertainerSpriteSheriffStateNoneId = 13613,
        kEntertainerSpriteSheriffStateWatchRideId = 13609,
        kEntertainerSpriteSheriffStateWaveId = 13713,
        kEntertainerSpriteSheriffStateUiId = 13701,
        kEntertainerSpriteSheriffStateDrowningId = 13637,

        kEntertainerSpritePirateStateNoneId = 13381,
        kEntertainerSpritePirateStateWatchRideId = 13377,
        kEntertainerSpritePirateStateWaveId = 13481,
        kEntertainerSpritePirateStateUiId = 13469,
        kEntertainerSpritePirateStateDrowningId = 13405,

        kPeepSpriteIceCreamStateNoneId = 7505,
        kPeepSpriteIceCreamStateWatchRideId = 7501,
        kPeepSpriteIceCreamStateEatFoodId = 7581,
        kPeepSpriteIceCreamStateSittingIdleId = 7553,
        kPeepSpriteIceCreamStateSittingEatFoodId = 7557,

        kPeepSpriteChipsStateNoneId = 7609,
        kPeepSpriteChipsStateWatchRideId = 7605,
        kPeepSpriteChipsStateEatFoodId = 7733,
        kPeepSpriteChipsStateSittingIdleId = 7681,
        kPeepSpriteChipsStateSittingEatFoodId = 7685,

        kPeepSpriteBurgerStateNoneId = 8385,
        kPeepSpriteBurgerStateWatchRideId = 8381,
        kPeepSpriteBurgerStateEatFoodId = 8509,
        kPeepSpriteBurgerStateSittingIdleId = 8457,
        kPeepSpriteBurgerStateSittingEatFoodId = 8461,

        kPeepSpriteDrinkStateNoneId = 8713,
        kPeepSpriteDrinkStateWatchRideId = 8709,
        kPeepSpriteDrinkStateEatFoodId = 8837,
        kPeepSpriteDrinkStateSittingIdleId = 8785,
        kPeepSpriteDrinkStateSittingEatFoodId = 8789,

        kPeepSpriteBalloonStateNoneId = 10785,
        kPeepSpriteBalloonStateWatchRideId = 10781,
        kPeepSpriteBalloonStateSittingIdleId = 10809,

        kPeepSpriteCandyflossStateNoneId = 10849,
        kPeepSpriteCandyflossStateWatchRideId = 10845,
        kPeepSpriteCandyflossStateEatFoodId = 10973,
        kPeepSpriteCandyflossStateSittingIdleId = 10921,
        kPeepSpriteCandyflossStateSittingEatFoodId = 10925,

        kPeepSpriteUmbrellaStateNoneId = 11197,
        kPeepSpriteUmbrellaStateWatchRideId = 11221,
        kPeepSpriteUmbrellaStateSittingIdleId = 11225,

        kPeepSpritePizzaStateNoneId = 7785,
        kPeepSpritePizzaStateWatchRideId = 7781,
        kPeepSpritePizzaStateEatFoodId = 7861,
        kPeepSpritePizzaStateSittingIdleId = 7833,
        kPeepSpritePizzaStateSittingEatFoodId = 7837,

        kSecurityStaffSpriteAltStateNoneId = 11949,

        kPeepSpritePopcornStateNoneId = 11025,
        kPeepSpritePopcornStateWatchRideId = 11021,
        kPeepSpritePopcornStateEatFoodId = 11149,
        kPeepSpritePopcornStateSittingIdleId = 11097,
        kPeepSpritePopcornStateSittingEatFoodId = 11101,

        kPeepSpriteArmsCrossedStateNoneId = 6433,

        kPeepSpriteHeadDownStateNoneId = 6457,

        kPeepSpriteNauseousStateNoneId = 6481,

        kPeepSpriteVeryNauseousStateNoneId = 6505,
        kPeepSpriteVeryNauseousStateWatchRideId = 6529,
        kPeepSpriteVeryNauseousStateSittingIdleId = 6533,
        kPeepSpriteRequireToiletStateNoneId = 6537,

        kPeepSpriteHatStateNoneId = 10721,
        kPeepSpriteHatStateWatchRideId = 10717,
        kPeepSpriteHatStateSittingIdleId = 10745,

        kPeepSpriteHotDogStateNoneId = 7889,
        kPeepSpriteHotDogStateWatchRideId = 7885,
        kPeepSpriteHotDogStateEatFoodId = 8013,
        kPeepSpriteHotDogStateSittingIdleId = 7961,
        kPeepSpriteHotDogStateSittingEatFoodId = 7965,

        kPeepSpriteTentacleStateNoneId = 8065,
        kPeepSpriteTentacleStateWatchRideId = 8061,
        kPeepSpriteTentacleStateEatFoodId = 8285,
        kPeepSpriteTentacleStateSittingIdleId = 8185,
        kPeepSpriteTentacleStateSittingEatFoodId = 8189,

        kPeepSpriteToffeeAppleStateNoneId = 7401,
        kPeepSpriteToffeeAppleStateWatchRideId = 7397,
        kPeepSpriteToffeeAppleStateEatFoodId = 7477,
        kPeepSpriteToffeeAppleStateSittingIdleId = 7449,
        kPeepSpriteToffeeAppleStateSittingEatFoodId = 7453,

        kPeepSpriteDonutStateNoneId = 8561,
        kPeepSpriteDonutStateWatchRideId = 8557,
        kPeepSpriteDonutStateEatFoodId = 8661,
        kPeepSpriteDonutStateSittingIdleId = 8633,
        kPeepSpriteDonutStateSittingEatFoodId = 8637,

        kPeepSpriteCoffeeStateNoneId = 8885,
        kPeepSpriteCoffeeStateWatchRideId = 8981,
        kPeepSpriteCoffeeStateSittingIdleId = 8957,

        kPeepSpriteChickenStateNoneId = 9005,
        kPeepSpriteChickenStateWatchRideId = 9125,
        kPeepSpriteChickenStateSittingIdleId = 9077,

        kPeepSpriteLemonadeStateNoneId = 9173,
        kPeepSpriteLemonadeStateWatchRideId = 9293,
        kPeepSpriteLemonadeStateSittingIdleId = 9245,

        kPeepSpriteWatchingStateWatchRideId = 7245,

        kPeepSpritePretzelStateNoneId = 9341,
        kPeepSpritePretzelStateWatchRideId = 9461,
        kPeepSpritePretzelStateSittingIdleId = 9413,

        kPeepSpriteSunglassesStateNoneId = 10685,
        kPeepSpriteSunglassesStateWatchRideId = 10713,
        kPeepSpriteSunglassesStateSittingIdleId = 10709,

        kPeepSpriteSuJongkwaStateNoneId = 9509,
        kPeepSpriteSuJongkwaStateWatchRideId = 9629,
        kPeepSpriteSuJongkwaStateSittingIdleId = 9581,

        kPeepSpriteJuiceStateNoneId = 9677,
        kPeepSpriteJuiceStateWatchRideId = 9797,
        kPeepSpriteJuiceStateSittingIdleId = 9749,

        kPeepSpriteFunnelCakeStateNoneId = 9845,
        kPeepSpriteFunnelCakeStateWatchRideId = 9965,
        kPeepSpriteFunnelCakeStateSittingIdleId = 9917,

        kPeepSpriteNoodlesStateNoneId = 10013,
        kPeepSpriteNoodlesStateWatchRideId = 10133,
        kPeepSpriteNoodlesStateSittingIdleId = 10085,

        kPeepSpriteSausageStateNoneId = 10181,
        kPeepSpriteSausageStateWatchRideId = 10301,
        kPeepSpriteSausageStateSittingIdleId = 10253,

        kPeepSpriteSoupStateNoneId = 10349,
        kPeepSpriteSoupStateWatchRideId = 10469,
        kPeepSpriteSoupStateSittingIdleId = 10421,

        kPeepSpriteSandwichStateNoneId = 10517,
        kPeepSpriteSandwichStateWatchRideId = 10637,
        kPeepSpriteSandwichStateSittingIdleId = 10589,
    };
}
